## loci.formats
Class PNGReader

    java.lang.Object
      loci.formats.FormatHandler
          loci.formats.FormatReader
              loci.formats.ImageIOReader
                  loci.formats.PNGReader

public class PNGReader
extends ImageIOReader

PNGReader is the file format reader for Portable Network Graphics (PNG) images.

Field Summary

Fields inherited from class loci.formats.FormatReader
`DEBUG, DEBUG_LEVEL, metadata, ome`

Fields inherited from class loci.formats.FormatHandler
`chooser, currentId, filters, format, suffixes`

Constructor Summary
`PNGReader()` Constructs a new PNGReader.

Method Summary
`static void` `main(String[] args)`

Methods inherited from class loci.formats.ImageIOReader
`close, getImageCount, isThisType, open`

Methods inherited from class loci.formats.FormatReader
`createFilters, getMetadata, getMetadataValue, getOMENode, initFile, open, testRead`

Methods inherited from class loci.formats.FormatHandler
`getFileChooser, getFileFilters, getFormat, getSuffixes, isThisType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PNGReader

    public PNGReader()

  Constructs a new PNGReader.

Method Detail

### main

    public static void main(String[] args)
                     throws FormatException,
                            IOException

  Throws:
    `FormatException`
    `IOException`